Creates a new article stock location list
Request Information
URI Parameters :
None.
Body Parameters :
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock |
integer |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "c94b9c80-8df2-414d-a2e8-317a453748f9",
"article_stock_location_id": "4b0a00ec-381e-411d-b590-b9ae0329d730",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "662b11b3-c135-4079-9297-df25f4f69d99",
"article_code": "sample string 5",
"quantity": 6,
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-07-22T11:56:23.2201413+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.